package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.AliquotaEstadoDestinoDAO;
import com.rjconsultores.ventaboletos.entidad.AliquotaEstadoDestino;
import com.rjconsultores.ventaboletos.entidad.EmpresaImposto;
import com.rjconsultores.ventaboletos.service.AliquotaEstadoDestinoService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("aliquotaEstadoDestinoService")
public class AliquotaEstadoDestinoServiceImpl implements AliquotaEstadoDestinoService {
	
	@Autowired
	private AliquotaEstadoDestinoDAO aliquotaEstadoDestinoDAO;
	
	@Transactional
	public AliquotaEstadoDestino suscribir(AliquotaEstadoDestino entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		entidad = aliquotaEstadoDestinoDAO.suscribir(entidad);
		
		return entidad;
	}
	
	public List<AliquotaEstadoDestino> getChildrens(EmpresaImposto parent){
		return aliquotaEstadoDestinoDAO.getChildrens(parent);
	}

}
